import axios from "../utils/request";

// 获取用户身份状态
const getUserStatus = (params = {}) => {
    return axios.post('/app/getStatus', params)
}

// 获取是否为特殊岗位
const getIfSpecial = (params = {}) => {
    return axios.post('/app/getState', params)
}

// 获取信息
const fetchMsgs = (params = {}) => {
    return axios.post('/app/phyappoint', params)
}

// 获取是否预约过的状态
const isPreOrdered = (params = {}) => {
    return axios.post('/app/getphyappoint', params)
} 

// 获取用户信息
const getUserInfo = (params = {}) => {
    return axios.post('/app/getapplogininfo', params)
  }

export {
    getUserStatus,
    fetchMsgs,
    isPreOrdered,
    getIfSpecial,
    getUserInfo
}